<template>
  <div class="page-layout-container">
    <slot name="bg">
      <img :src="OssAssets.common.CommonPageBg" class="common-page-bg" />
    </slot>
    <PageLayout v-bind="props">
      <template #navigationBar>
        <slot name="navigationBar">
          <TransparentNavigationBar :title="title" :is-absolute="false">
            <template #left>
              <slot name="left"></slot>
            </template>
          </TransparentNavigationBar>
        </slot>
      </template>
      <template #default="{ scrollViewHeight }">
        <slot :scrollViewHeight="scrollViewHeight" />
      </template>
    </PageLayout>
  </div>
</template>

<script setup lang="ts">
import PageLayout from './PageLayout.vue';
import TransparentNavigationBar from '../NavigationBar/TransparentNavigationBar.vue';
import _ from 'lodash';
import { OssAssets } from '@/constants';
import { pageLayoutProps } from './layout';

defineOptions({
  name: 'PageLayoutWithBg',
});

const props = defineProps(pageLayoutProps);
</script>

<style lang="scss">
@import '@/styles/common.scss';

.common-page-bg {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 516px;
  object-fit: cover;
}
</style>
